summaryrefslogtreecommitdiff
path: root/reprepro
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2016-04-19 14:03:05 +0200
committerJonas Smedegaard <dr@jones.dk>2016-04-19 14:03:05 +0200
commit9cc51aa915e331a90be82d7d76ef1f73c74bc7de (patch)
treeba2241a1c848ab1fe90f24e72cb10e6061064a29 /reprepro
parent3b23e8e9183203164c1db455fe1933bfcea139b5 (diff)
First draft of reprepro snippets.
Diffstat (limited to 'reprepro')
-rw-r--r--reprepro/conf/distributions8
-rwxr-xr-xreprepro/cron.d/local-reprepro4
-rwxr-xr-xreprepro/init.sh19
3 files changed, 31 insertions, 0 deletions
diff --git a/reprepro/conf/distributions b/reprepro/conf/distributions
new file mode 100644
index 0000000..e921743
--- /dev/null
+++ b/reprepro/conf/distributions
@@ -0,0 +1,8 @@
+Origin: Local
+Label: Local
+Suite: unstable
+Codename: sid
+Architectures: amd64 i386 source
+Components: local
+Description: Unofficial packages compatible with Debian sid
+#SignWith: yes
diff --git a/reprepro/cron.d/local-reprepro b/reprepro/cron.d/local-reprepro
new file mode 100755
index 0000000..86aa5db
--- /dev/null
+++ b/reprepro/cron.d/local-reprepro
@@ -0,0 +1,4 @@
+MAILTO = root
+REPREPRO_BASE_DIR = ~/private_webdata/reprepro
+
+@reboot www-deb inoticoming --logfile ~/cron.log --stderr-to-log --stdout-to-log /srv/deb/UploadQueue/ --suffix '.changes' reprepro processincoming incoming {} \;
diff --git a/reprepro/init.sh b/reprepro/init.sh
new file mode 100755
index 0000000..a326531
--- /dev/null
+++ b/reprepro/init.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+THISDIR=$(dirname "$0")
+HOMEDIR=~www-deb
+INDIR=/srv/deb/UploadQueue
+
+[ -d $HOMEDIR ] || {
+ echo "ERROR: user www-deb missing" >/dev/stderr
+ exit 1
+}
+
+BASEDIR="$HOMEDIR/private_webdata/reprepro"
+[ -d "$BASEDIR/conf" ] || cp "$THISDIR/conf" "$BASEDIR"
+
+mkdir -p "$INDIR"
+chown www-deb: "$INDIR"
+chmod g+s "$INDIR"